<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_RAUMBELEGUNG_HM;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);

$settingsArray = array();

$setting = new Setting();
$setting->name = 'tnstatus';
$setting->description = 'Einschränkung der Teilnehmer auf Belegungsstatus';
$setting->help = 'Wenn kein Status angegeben ist, werden alle Teilnehmer ohne Berücksichtigung ihrer Status angezeigt.';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->separator = '';
$setting->config->loadConfiguration(SC_MULTISELECT);
$dbhlstatKZ = new DBWorkHLStatusKZ();
$hlstatAry = $dbhlstatKZ->getAll();

foreach ($hlstatAry as $hlstat) {
  if ($hlstat->kennz != '') {
    $setting->config->items[$hlstat->kennz] = 'Status <b>' . \CleanOperations::cleanStringForHtml($hlstat->text) . ' (' . \CleanOperations::cleanStringForHtml($hlstat->kennz) . ')</b>';
  }
}
array_push($settingsArray, $setting);

if (!empty($objsettings->tnstatus)) {
  $setting = new Setting();
  $setting->name = 'colortnstatus';
  $setting->description = 'Farben für den jeweiligen Status';
  $setting->help = 'Bitte verwenden Sie für eine Farbangabe folgendes Format: #F1G4C0 oder den Farbnamen';
  $setting->subGroup = 'Darstellung der Teilnehmer';
  $setting->toolId = $toolId;
  $status = $objsettings->tnstatus;
  $setting->config->status = $objsettings->tnstatus;
  $setting->config->kennzeichen = 'tn';
  $setting->config->loadConfiguration(SC_TABLE);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Name';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'nameauf' => 'aufsteigend',
  'nameab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Vorname';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'vornameauf' => 'aufsteigend',
  'vornameab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Anmeldedatum';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'anmeldedatumauf' => 'aufsteigend',
  'anmeldedatumab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Anmeldereihenfolge';
$setting->help = 'Das Anmeldedatum kann sich bei Statusänderungen ändern. Die Anmeldereihenfolge entspricht, wann die Belegung zum Kurs erstellt wurde und bleibt gleich.';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'idauf' => 'aufsteigend',
  'idab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'tnDatenAusblendenNachKursEnde';
$setting->description = 'Teilnehmerdaten nur bis x Tage nach Ende des Kurses anzeigen';
$setting->help = 'Werden keine Teilnehmerdaten angezeigt, werden der Button Teilnehmer sowie der Reiter Teilnehmer in den Kursdetails des '
                  . 'Kurses ausgeblendet.' . BR_WT
                  . 'Zudem werden zum Kurs die PDF-Listen mit Teilnehmerdaten nicht erzeugt, es wird stattdessen eine entsprechende Meldung ausgegeben.' . BR_WT
                  . 'Wird z. B. als Wert 0 eingetragen, können die Teilnehmerdaten bis einschließlich zum Tag des Kursendes eingesehen werden.';

$setting->subGroup = 'Teilnehmer-Reiter und -Listen ausblenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 4;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'tnDatenAusblendenVorKursBeginn';
$setting->description = 'Teilnehmerdaten erst ab x Tage vor Beginn des Kurses anzeigen';
$setting->help = 'Werden keine Teilnehmerdaten angezeigt, werden der Button Teilnehmer sowie der Reiter Teilnehmer in den Kursdetails des Kurses ausgeblendet.<br>'
                 . 'Zudem werden zum Kurs die PDF-Listen mit Teilnehmerdaten nicht erzeugt, es wird stattdessen eine entsprechende Meldung ausgegeben.';
$setting->subGroup = 'Teilnehmer-Reiter und -Listen ausblenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 4;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);

$subGroup = 'Sammel-E-Mail';

if (\AllgSettingsAPI::getAllgSettings()->dmzEnabled) {
  $setting = new Setting();
  $setting->name = 'storeSammelEMailToTeilnehmer';
  $setting->description = 'Kopie von E-Mails in Dokumentenverwaltung des Teilnehmers speichern';
  $setting->help = 'Beim Versenden von Sammel E-Mails an die Teilnehmer wird damit zusätzlich die Nachricht in der Dokumentenverwaltung des Teilnehmers gespeichert.';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'emailAnTeilnehmerShowEMail';
$setting->description = 'E-Mail der Teilnehmer bei E-Mail-Versand anzeigen';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);